diff -Nur coreutils-8.21.old/debian/changelog coreutils-8.21/debian/changelog
--- coreutils-8.21.old/debian/changelog	2014-08-31 15:50:36.000000000 +0200
+++ coreutils-8.21/debian/changelog	2014-08-31 20:56:31.094904908 +0200
@@ -1,3 +1,11 @@
+coreutils (8.21-2) unstable; urgency=medium
+
+  * Include realpath command in coreutils package and replace Debian
+    version of the command from the realpath package (Closes: #730779).
+    Add transational realpath package to help with upgrades.
+
+ -- Robert Luberda <robert@debian.org>  Sun, 31 Aug 2014 20:56:21 +0200
+
 coreutils (8.21-1.2) unstable; urgency=low
 
   * Non-maintainer upload.
diff -Nur coreutils-8.21.old/debian/control coreutils-8.21/debian/control
--- coreutils-8.21.old/debian/control	2014-08-31 15:50:36.000000000 +0200
+++ coreutils-8.21/debian/control	2014-08-31 16:26:10.003286644 +0200
@@ -11,7 +11,8 @@
 Multi-Arch: foreign
 Pre-Depends: ${shlibs:Depends}
 Essential: yes
-Replaces: mktemp, timeout
+Replaces: mktemp, realpath (<= 8.21), timeout
+Provides: realpath
 Conflicts: timeout
 Depends: ${misc:Depends}
 Description: GNU core utilities
@@ -23,9 +24,9 @@
  csplit cut date dd df dir dircolors dirname du echo env expand expr
  factor false flock fmt fold groups head hostid id install join link ln
  logname ls md5sum mkdir mkfifo mknod mktemp mv nice nl nohup nproc od 
- paste pathchk pinky pr printenv printf ptx pwd readlink rm rmdir runcon
- sha*sum seq shred sleep sort split stat stty sum sync tac tail tee test
- timeout touch tr true truncate tsort tty uname unexpand uniq unlink 
+ paste pathchk pinky pr printenv printf ptx pwd readlink realpath rm rmdir
+ runcon sha*sum seq shred sleep sort split stat stty sum sync tac tail tee
+ test timeout touch tr true truncate tsort tty uname unexpand uniq unlink 
  users vdir wc who whoami yes
 Homepage: http://gnu.org/software/coreutils
 
@@ -36,3 +37,12 @@
 Architecture: all
 Description: coreutils mktemp transitional package
  Empty package to facilitate upgrades, can be safely removed.
+
+Package: realpath
+Depends: coreutils (>= 8.21-2~)
+Priority: optional
+Section: oldlibs
+Architecture: all
+Description: coreutils realpath transitional package
+ Empty package to facilitate upgrades, can be safely removed.
+
diff -Nur coreutils-8.21.old/debian/coreutils.NEWS coreutils-8.21/debian/coreutils.NEWS
--- coreutils-8.21.old/debian/coreutils.NEWS	2014-08-31 15:50:36.000000000 +0200
+++ coreutils-8.21/debian/coreutils.NEWS	2014-08-31 20:54:36.210907611 +0200
@@ -1,3 +1,29 @@
+coreutils (8.21-2) unstable; urgency=medium
+
+  GNU coreutils package now includes the `realpath' command that used to
+  be found in a separate `realpath' package.
+
+  Even though the GNU version provides all the features of the old Debian 
+  version, the behaviour is a bit different, namely:
+
+    * GNU `realpath' and `realpath -s' commands require all but the 
+      last path components to exist
+  
+  whereas:
+
+    * Debian version of `realpath' required all the path components to exist;
+    * Debian version of `realpath -s' required no path components to exist.
+  
+  To get the old behaviour in GNU `realpath' an additional option needs 
+  to be used:
+
+       Old Debian realpath       New GNU coreutils realpath
+     -----------------------    ----------------------------
+      realpath    file(s)    =>    realpath -e    file(s)
+      realpath -s file(s)    =>    realpath -s -m file(s)
+
+ -- Robert Luberda <robert@debian.org>  Sun, 31 Aug 2014 16:08:14 +0200
+
 coreutils (5.96-3) unstable; urgency=low
 
   * The POSIX compatibility level is now set to POSIX 1003.1-2001, 
diff -Nur coreutils-8.21.old/debian/realpath.copyright coreutils-8.21/debian/realpath.copyright
--- coreutils-8.21.old/debian/realpath.copyright	1970-01-01 01:00:00.000000000 +0100
+++ coreutils-8.21/debian/realpath.copyright	2014-08-31 17:44:42.375175746 +0200
@@ -0,0 +1,3 @@
+The empty package realpath is created by Michael Stone <mstone@debian.org> 
+and either is in the public domain or too trivial to copyright.
+
diff -Nur coreutils-8.21.old/debian/rules coreutils-8.21/debian/rules
--- coreutils-8.21.old/debian/rules	2014-08-31 15:50:36.000000000 +0200
+++ coreutils-8.21/debian/rules	2014-08-31 17:14:50.279217920 +0200
@@ -114,7 +114,6 @@
 endif
 	rm -f $(d)/usr/bin/hostname $(d)/usr/share/man/man1/hostname.1
 	rm -f $(d)/usr/bin/uptime $(d)/usr/share/man/man1/uptime.1
-	rm -f $(d)/usr/bin/realpath $(d)/usr/share/man/man1/realpath.1
 
 	# the [ program doesn't have its own man page yet
 	ln -s test.1 $(d)/usr/share/man/man1/[.1
